import { proxyCustomElement, HTMLElement } from '@stencil/core/internal/client';

const XShowcaseItem$1 = /*@__PURE__*/ proxyCustomElement(class XShowcaseItem extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.url = undefined;
        this.type = 'image';
        this.thumb = undefined;
        this.description = undefined;
    }
}, [0, "x-showcase-item", {
        "url": [1],
        "type": [1],
        "thumb": [1],
        "description": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["x-showcase-item"];
    components.forEach(tagName => { switch (tagName) {
        case "x-showcase-item":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, XShowcaseItem$1);
            }
            break;
    } });
}

const XShowcaseItem = XShowcaseItem$1;
const defineCustomElement = defineCustomElement$1;

export { XShowcaseItem, defineCustomElement };
